#!/bin/bash
# Copyright ETSI 2018
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt

#set -vx
#set -e

cd "$(dirname "$0")"

run_dir="$(pwd)"

echo "Using git branch $BRANCH_NAME"
echo "Using git branch env.BRANCH_NAME"

bash ./scripts/build-container.sh
bash ./scripts/run-container.sh "${run_dir}" "$BRANCH_NAME"

ret=$?
echo "Final validation result: $ret"
exit $ret
